import { BoxPanel } from '@lumino/widgets';
import { ServiceManager } from '@jupyterlab/services';
import { Kernel } from '../../jupyter/kernel';
declare class ConsoleAdapter {
    private _panel;
    private _code?;
    constructor(options: ConsoleAdapter.IConsoleAdapterOptions);
    protected setupConsole(serviceManager: ServiceManager, kernel?: Kernel): void;
    get panel(): BoxPanel;
}
export declare namespace ConsoleAdapter {
    /**
     * Console adapter options
     */
    interface IConsoleAdapterOptions {
        /**
         * Default kernel
         */
        kernel?: Kernel;
        /**
         * Application service manager
         */
        serviceManager: ServiceManager;
        /**
         * Initial code to run.
         */
        code?: string;
    }
}
export default ConsoleAdapter;
