import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { Box, Button } from '@primer/react';
import { Jupyter } from '../jupyter/Jupyter';
import { useJupyter } from '../jupyter/JupyterContext';
import { Cell } from '../components/cell/Cell';
import { KernelIndicator } from '../components/kernel/Kernelndicator';
import { useKernelsStore } from '../jupyter/kernel/KernelState';
import { useCellsStore } from '../components/cell/CellState';
const CELL_ID = 'cell-example-1';
const DEFAULT_SOURCE = `from IPython.display import display

for i in range(10):
    display('I am a long string which is repeatedly added to the dom in separated divs: %d' % i)`;
const CellExample = () => {
    const { defaultKernel } = useJupyter();
    const cellsStore = useCellsStore();
    const kernelsStore = useKernelsStore();
    console.log('Cell Outputs', cellsStore.getAdapter(CELL_ID)?.cell?.outputArea.model.toJSON());
    return (_jsxs(Jupyter, { children: [_jsx(Box, { as: "h1", children: "A Jupyter Cell" }), _jsxs(Box, { children: ["Source: ", cellsStore.getSource(CELL_ID)] }), _jsxs(Box, { children: ["Outputs Count: ", cellsStore.getOutputsCount(CELL_ID)] }), _jsxs(Box, { children: ["defaultKernel Kernel State: ", defaultKernel && kernelsStore.getExecutionState(defaultKernel.id)] }), _jsxs(Box, { children: ["Kernel Phase: ", defaultKernel && kernelsStore.getExecutionPhase(defaultKernel.id)] }), _jsx(Box, { children: _jsx(KernelIndicator, { kernel: defaultKernel && defaultKernel.connection }) }), _jsx(Box, { children: _jsx(Button, { onClick: () => cellsStore.execute(CELL_ID), children: "Run cell" }) }), _jsx(Cell, { source: DEFAULT_SOURCE, id: CELL_ID })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(CellExample, {}));
//# sourceMappingURL=Cell.js.map