import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import React, { useEffect } from 'react';
import { createRoot } from 'react-dom/client';
import { Button, Box } from '@primer/react';
import Jupyter from '../jupyter/Jupyter';
import Cell from '../components/cell/Cell';
import { cellsStore } from '../components/cell/CellState';
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
const btnStyle = {
    marginLeft: '50px',
    marginTop: '20px'
};
const CELL_CODE = `import time\ntime.sleep(3)`;
const CellExecuteControl = () => {
    const [executionDisable, setExecutionDisable] = React.useState(false);
    useEffect(() => {
        const handleChange = (newState) => {
            setExecutionDisable(newState.isAnyCellExecuting);
        };
        const unsubscribe = cellsStore.subscribe(handleChange);
        return () => {
            unsubscribe();
        };
    }, []);
    const onExecuteClick = () => {
        cellsStore.getState().execute();
    };
    return (_jsx(Jupyter, { children: _jsxs(Box, { style: { marginTop: '20px' }, children: [_jsx(Cell, { id: '1', type: 'code', source: CELL_CODE, autoStart: false, showToolbar: false }), _jsx(Cell, { id: '2', type: 'code', autoStart: false, showToolbar: false }), _jsx(Button, { onClick: onExecuteClick, disabled: executionDisable, style: btnStyle, children: "Execute all" })] }) }));
};
root.render(_jsx(CellExecuteControl, {}));
//# sourceMappingURL=CellExecuteControl.js.map