import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { BaseStyles, ThemeProvider, theme, } from '@primer/react';
import Notebook from '../components/notebook/Notebook';
import NotebookToolbar from './toolbars/NotebookToolbar';
import CellSidebar from '../components/notebook/cell/sidebar/CellSidebarButton';
import JupyterLabCss from './../jupyter/lab/JupyterLabCss';
const NOTEBOOK_ID = 'notebook-id';
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
const colorMode = 'light';
root.render(_jsxs(_Fragment, { children: [_jsx(JupyterLabCss, { colorMode: colorMode }), _jsx(ThemeProvider, { theme: theme, colorMode: colorMode === 'light' ? 'day' : 'night', dayScheme: "light", nightScheme: "dark", children: _jsx(BaseStyles, { children: _jsx(Notebook, { path: "ipywidgets.ipynb", id: NOTEBOOK_ID, height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
                    , cellSidebarMargin: 60, CellSidebar: CellSidebar, Toolbar: NotebookToolbar }) }) })] }));
//# sourceMappingURL=NotebookNoContext.js.map