import { JupyterProps } from './Jupyter';
/**
 * Type of the Jupyter configuration.
 */
export type IJupyterConfig = {
    jupyterServerUrl: string;
    jupyterServerToken: string;
    insideJupyterLab: boolean;
    insideJupyterHub: boolean;
};
/**
 * Getter for jupyterServerUrl.
 */
export declare const getJupyterServerUrl: () => string;
/**
 * Getter for jupyterServerToken.
 */
export declare const getJupyterServerToken: () => string;
/**
 * Method to load the Jupyter configuration from the
 * host HTML page.
 */
export declare const loadJupyterConfig: (props: Pick<JupyterProps, 'collaborative' | 'jupyterServerToken' | 'jupyterServerUrl' | 'lite' | 'terminals'>) => IJupyterConfig;
