import { ExecutionState } from './../../components/kernel/Kernelndicator';
export declare enum ExecutionPhase {
    ready_to_run = "READY_TO_RUN",
    running = "RUNNING",
    completed = "COMPLETED",
    completed_with_error = "COMPLETED_WITH_ERROR"
}
export type IKernelState = {
    id: string;
    executionState?: ExecutionState;
    executionPhase?: ExecutionPhase;
};
export interface IKernelsState {
    kernels: Map<string, IKernelState>;
}
export type KernelsState = IKernelsState & {
    getExecutionState: (id: string) => ExecutionState | undefined;
    setExecutionState: (id: string, executionState: ExecutionState) => void;
    getExecutionPhase: (id: string) => ExecutionPhase | undefined;
    setExecutionPhase: (id: string, executionState: ExecutionPhase) => void;
};
export declare const kernelsStore: import("zustand").StoreApi<KernelsState>;
export declare function useKernelsStore(): KernelsState;
export declare function useKernelsStore<T>(selector: (state: KernelsState) => T): T;
export default useKernelsStore;
