import { ServiceManager } from '@jupyterlab/services';
import type { IDatalayerConfig } from './IState';
import { IJupyterConfig } from '../jupyter/JupyterConfig';
import { CellsState } from '../components/cell/CellState';
import { ConsoleState } from '../components/console/ConsoleState';
import { NotebookState } from '../components/notebook/NotebookState';
import { OutputState } from '../components/output/OutputState';
import { TerminalState } from '../components/terminal/TerminalState';
import { JupyterContextPropsType } from '../jupyter/JupyterContext';
import Kernel from '../jupyter/kernel/Kernel';
export type JupyterState = {
    cellsStore: CellsState;
    consoleStore: ConsoleState;
    datalayerConfig?: IDatalayerConfig;
    jupyterConfig?: IJupyterConfig;
    kernel?: Kernel;
    kernelIsLoading: boolean;
    notebookStore: NotebookState;
    outputStore: OutputState;
    serviceManager?: ServiceManager;
    setDatalayerConfig: (configuration?: IDatalayerConfig) => void;
    setVersion: (version: string) => void;
    terminalStore: TerminalState;
    version: string;
};
export declare const jupyterStore: import("zustand").StoreApi<JupyterState>;
export declare function useJupyterStore(): JupyterState;
export declare function useJupyterStore<T>(selector: (state: JupyterState) => T): T;
export declare function useJupyterStoreFromContext(props: JupyterContextPropsType): JupyterState;
export default useJupyterStore;
